Ubuntu

volume keys should control Master and Master Mono channels on Intel ICH6, SigmaTel STAC 9750,51

Reported by Jeffrey Finkelstein on 2011-05-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: pulseaudio

Dell Inspiron 9300 with Intel ICH6 sound card with chipset Sigmatel STAC 9750,51.

Ubuntu 11.04, pulseaudio version 1:0.9.22+stable-queue-24-g67d18-0ubuntu3

This bug is similar to (same as?) https://bugs.launchpad.net/ubuntu/+source/linux/+bug/441195

What should happen:

The volume control keys on the case of my laptop should control either (1) both the Master and Master Mono (subwoofer) channels or (2) the PCM channel

What happens instead:

When all channels are at 0%, the volume up key increases PCM to 50%, then increases Master to 100%, then increases PCM from 50% to 100%. The Master Mono channel is never changed.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: pulseaudio 1:0.9.22+stable-queue-24-g67d18-0ubuntu3
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: jeffrey 2226 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'ICH6'/'Intel ICH6 with STAC9750,51 at irq 16'
   Mixer name : 'SigmaTel STAC9750,51'
   Components : 'AC97a:83847650'
   Controls : 38
   Simple ctrls : 24
Date: Sun May 1 09:53:36 2011
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: pulseaudio
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/19/2005
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A05
dmi.board.name: 0C5668
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA05:bd09/19/2005:svnDellInc.:pnInspiron9300:pvr:rvnDellInc.:rn0C5668:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: Inspiron 9300
dmi.sys.vendor: Dell Inc.

Jeffrey Finkelstein (jfinkels) wrote :
Daniel T Chen (crimsun) on 2011-07-15
affects: pulseaudio (Ubuntu) → alsa-driver (Ubuntu)
Changed in alsa-driver (Ubuntu):
importance: Undecided → Low
status: New → In Progress
Daniel T Chen (crimsun) wrote :

Merged into Takashi's git tree (sound-2.6.git origin/master on git.kernel.org)

Changed in alsa-driver (Ubuntu):
status: In Progress → Fix Committed
Jeffrey Finkelstein (jfinkels) wrote :

This is *not* fixed in Ubuntu 11.10.

https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules
On Oct 22, 2011 10:05 PM, "Jeffrey Finkelstein" <email address hidden>
wrote:

> This is *not* fixed in Ubuntu 11.10.
>
> --
> You received this bug notification because you are a member of Ubuntu
> Audio Team, which is subscribed to alsa-driver in Ubuntu.
> https://bugs.launchpad.net/bugs/774895
>
> Title:
> volume keys should control Master and Master Mono channels on Intel
> ICH6, SigmaTel STAC 9750,51
>
> Status in “alsa-driver” package in Ubuntu:
> Fix Committed
>
> Bug description:
> Binary package hint: pulseaudio
>
> Dell Inspiron 9300 with Intel ICH6 sound card with chipset Sigmatel
> STAC 9750,51.
>
> Ubuntu 11.04, pulseaudio version 1:0.9.22+stable-
> queue-24-g67d18-0ubuntu3
>
> This bug is similar to (same as?)
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/441195
>
> What should happen:
>
> The volume control keys on the case of my laptop should control either
> (1) both the Master and Master Mono (subwoofer) channels or (2) the
> PCM channel
>
> What happens instead:
>
> When all channels are at 0%, the volume up key increases PCM to 50%,
> then increases Master to 100%, then increases PCM from 50% to 100%.
> The Master Mono channel is never changed.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: pulseaudio 1:0.9.22+stable-queue-24-g67d18-0ubuntu3
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic i686
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
> Architecture: i386
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: jeffrey 2226 F.... pulseaudio
> Card0.Amixer.info:
> Card hw:0 'ICH6'/'Intel ICH6 with STAC9750,51 at irq 16'
> Mixer name : 'SigmaTel STAC9750,51'
> Components : 'AC97a:83847650'
> Controls : 38
> Simple ctrls : 24
> Date: Sun May 1 09:53:36 2011
> ProcEnviron:
> LANGUAGE=en_US:en
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: pulseaudio
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 09/19/2005
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: A05
> dmi.board.name: 0C5668
> dmi.board.vendor: Dell Inc.
> dmi.chassis.type: 8
> dmi.chassis.vendor: Dell Inc.
> dmi.modalias:
> dmi:bvnDellInc.:bvrA05:bd09/19/2005:svnDellInc.:pnInspiron9300:pvr:rvnDellInc.:rn0C5668:rvr:cvnDellInc.:ct8:cvr:
> dmi.product.name: Inspiron 9300
> dmi.sys.vendor: Dell Inc.
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/774895/+subscriptions
>

Andy Whitcroft (apw) on 2012-01-16
Changed in alsa-driver (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers